A set of endpoints used to manage collaborations within a Box Hub.
Box Hub Collaboration
A Box Hub collaboration object grants a user or group access to a Box Hub with permissions defined by a specific role.
Property Type Required Description idstringYes The unique identifier for this collaboration. typeenum<string>Yes The value will always be hub_collaboration. Available options: hub_collaboration. hubBox Hub (Base) No accessible_byBox Hub Accessible ByNo rolestringNo The level of access granted to a Box Hub. Possible values are editor, viewer, and co-owner. statusenum<string>No The status of the collaboration invitation. If the status is pending, login and name return an empty string. Available options: accepted, pending, rejected. acceptance_requirements_statusobjectNo
{
"id" : "12345678" ,
"type" : "hub_collaboration" ,
"hub" : {
"id" : "12345" ,
"type" : "hubs"
},
"accessible_by" : {
"id" : "11446498" ,
"type" : "user" ,
"name" : "Aaron Levie" ,
"login" : "ceo@example.com"
},
"role" : "editor" ,
"status" : "accepted" ,
"acceptance_requirements_status" : {
"terms_of_service_requirement" : {
"is_accepted" : true ,
"terms_of_service" : {
"id" : "11446498" ,
"type" : "terms_of_service"
}
},
"strong_password_requirement" : {
"enterprise_has_strong_password_required_for_external_users" : true ,
"user_has_strong_password" : true
},
"two_factor_authentication_requirement" : {
"enterprise_has_two_factor_auth_enabled" : true ,
"user_has_two_factor_authentication_enabled" : true
}
}
}
Box Hub Collaborations
A list of Box Hub collaborations.
Property Type Required Description entriesarray of Box Hub Collaboration No A list of Box Hub collaborations. limitintegerNo The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. next_markerstringNo The marker for the start of the next page of results. Can be null.
{
"entries" : [
{
"id" : "12345678" ,
"type" : "hub_collaboration" ,
"hub" : {
"id" : "12345" ,
"type" : "hubs"
},
"accessible_by" : {
"id" : "11446498" ,
"type" : "user" ,
"name" : "Aaron Levie" ,
"login" : "ceo@example.com"
},
"role" : "editor" ,
"status" : "accepted" ,
"acceptance_requirements_status" : {
"terms_of_service_requirement" : {
"is_accepted" : true ,
"terms_of_service" : {
"id" : "11446498" ,
"type" : "terms_of_service"
}
},
"strong_password_requirement" : {
"enterprise_has_strong_password_required_for_external_users" : true ,
"user_has_strong_password" : true
},
"two_factor_authentication_requirement" : {
"enterprise_has_two_factor_auth_enabled" : true ,
"user_has_two_factor_authentication_enabled" : true
}
}
}
],
"limit" : 1000 ,
"next_marker" : "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}
Last modified on July 9, 2026